<?php
// $Horde: horde/config/registry.php.dist,v 1.52.2.16 2002/05/20 16:43:28 jan Exp $

/**
 *            registry.php -- Horde application registry
 *
 * This configuration file is used by Horde to determine which Horde
 * applications are installed and where, as well as how they interact.
 */

/**
 * Handlers
 * --------
 * The following settings register particular Horde applications as handlers
 * for functionality intended to be common to multiple Horde applications.
 */

/* auth: Handler for user authentication.
 *   Uncomment the auth/login/logout lines if you want to let either
 *   IMP or Gollem handle the authentication for Horde. This avoids the
 *   "double login" while accessing IMP.
 */
// $this->registry['auth']['login'] = 'imp';
// $this->registry['auth']['logout'] = 'imp';

/* mail: Handler for sending mail. */
$this->registry['mail']['compose'] = 'imp';
$this->registry['mail']['composePopup'] = 'imp';

/* contacts: Handler for contacts management. */
$this->registry['contacts']['search'] = 'turba';
$this->registry['contacts']['add'] = 'turba';
$this->registry['contacts']['sources'] = 'turba';
$this->registry['contacts']['fields'] = 'turba';

/* memos: Handler for memos/notepad. */
$this->registry['memos']['search'] = 'mnemo';
$this->registry['memos']['list'] = 'mnemo';
$this->registry['memos']['show'] = 'mnemo';
$this->registry['memos']['add'] = 'mnemo';

/* tasks: Handler for todo lists. */
$this->registry['tasks']['search'] = 'nag';
$this->registry['tasks']['list'] = 'nag';
$this->registry['tasks']['show'] = 'nag';
$this->registry['tasks']['add'] = 'nag';


/**
 * Application registry
 * --------------------
 * The following settings register installed Horde applications.
 * By default, Horde assumes that the application directories live
 * inside the horde directory.
 *
 * You should be able to simply uncomment the entries for the applications
 * you have installed. If you have customized your installation, modify the
 * default settings where necessary. Be sure to remember to uncomment the
 * trailing ");" line!
 */

$this->applications['horde'] = array(
    'fileroot' => dirname(__FILE__) . '/..',
    'webroot' => '/horde',
    'initial_page' => 'login.php',
    'icon' => '/horde/graphics/home.gif',
    'name' => _("Horde"),
    'allow_guests' => true,
    'show' => true,
    'templates' => dirname(__FILE__) . '/../templates',
    'cookie_domain' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'cookie_path' => '/horde',
    'server_name' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'server_port' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_PORT']
);

// $this->applications['imp'] = array(
//     'fileroot' => dirname(__FILE__) . '/../imp',
//     'webroot' => $this->applications['horde']['webroot'] . '/imp',
//     'icon' => $this->applications['horde']['webroot'] . '/imp/graphics/imp.gif',
//     'name' => _("Mail"),
//     'allow_guests' => false,
//     'show' => true
// );

// $this->applications['turba'] = array(
//     'fileroot' => dirname(__FILE__) . '/../turba',
//     'webroot' => $this->applications['horde']['webroot'] . '/turba',
//     'icon' => $this->applications['horde']['webroot'] . '/turba/graphics/turba.gif',
//     'name' => _("Addressbook"),
//     'allow_guests' => false,
//     'show' => true
// );

// $this->applications['kronolith'] = array(
//     'fileroot' => dirname(__FILE__) . '/../kronolith',
//     'webroot' => $this->applications['horde']['webroot'] . '/kronolith',
//     'icon' => $this->applications['horde']['webroot'] . '/kronolith/graphics/kronolith.gif',
//     'name' => _("Calendar"),
//     'allow_guests' => false,
//     'show' => false
// );

// $this->applications['mnemo'] = array(
//     'fileroot' => dirname(__FILE__) . '/../mnemo',
//     'webroot' => $this->applications['horde']['webroot'] . '/mnemo',
//     'icon' => $this->applications['horde']['webroot'] . '/mnemo/graphics/mnemo.gif',
//     'name' => _("Memos"),
//     'allow_guests' => false,
//     'show' => true
// );

// $this->applications['nag'] = array(
//     'fileroot' => dirname(__FILE__) . '/../nag',
//     'webroot' => $this->applications['horde']['webroot'] . '/nag',
//     'icon' => $this->applications['horde']['webroot'] . '/nag/graphics/nag.gif',
//     'name' => _("Tasks"),
//     'allow_guests' => false,
//     'show' => false
// );

// $this->applications['chora'] = array(
//     'fileroot' => dirname(__FILE__) . '/../chora',
//     'webroot' => $this->applications['horde']['webroot'] . '/chora',
//     'icon' => $this->applications['horde']['webroot'] . '/chora/graphics/chora.gif',
//     'name' => _("CVS"),
//     'allow_guests' => false,
//     'show' => false
// );


/**
 * Service registry
 * ----------------
 * The following entries register services for specific Horde
 * applications. Unless you need to customize your Horde
 * applications, you shouldn't touch this section.
 */

$this->services['imp']['auth']['login'] = array(
    'link' => "%application%/login.php?url=|url|"
);
$this->services['imp']['auth']['logout'] = array(
    'link' => "%application%/login.php?reason=logout&url=|url|"
);
$this->services['imp']['mail']['compose'] = array(
    'link' => "javascript:open_compose_win('popup=1&to=|to|&cc=|cc|&bcc=|bcc|&msg=|msg|&subject=|subject||extra|');",
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
);
$this->services['imp']['mail']['composePopup'] = array(
    'file' => '%application%/lib/api.php',
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
    'function' => 'impComposePopup',
    'args' => array('options')
);
$this->services['imp']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'impSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['turba']['contacts']['search'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaExpandAddresses',
    'args' => array('addresses', 'addressbooks', 'fields'),
    'type' => 'array'
);
$this->services['turba']['contacts']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaAddAddress',
    'args' => array('name', 'address', 'addressbook'),
    'type' => 'boolean'
);
$this->services['turba']['contacts']['sources'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetSources',
    'args' => array('writeable'),
    'type' => 'array'
);
$this->services['turba']['contacts']['fields'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetFields',
    'args' => array('addressbook'),
    'type' => 'array'
);

$this->services['kronolith']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'kronolithSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['mnemo']['memos']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoListMemos',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['mnemo']['memos']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['mnemo']['memos']['show'] = array(
    'link' => "%application%/view.php?memo=|memo|"
);
$this->services['mnemo']['memos']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoAddMemo',
    'args' => array('body', 'category'),
    'type' => 'integer'
);
$this->services['mnemo']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nag']['tasks']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagListTasks',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['nag']['tasks']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['nag']['tasks']['show'] = array(
    'link' => "%application%/view.php?task=|task|"
);
$this->services['nag']['tasks']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagAddTask',
    'args' => array('name', 'description', 'due'),
    'type' => 'integer'
);
$this->services['nag']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['default']['mail']['compose'] = array(
    'link' => "mailto:%to%"
);
